package com.liang.service;

import com.liang.entity.StaIntellectualProperty;
import com.liang.entity.StaMeetingFee;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 会议费(StaMeetingFee)表服务接口
 */
public interface StaMeetingFeeService {
    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaMeetingFee queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staMeetingFee 筛选条件
     * @param pageRequest   分页对象
     * @return 查询结果
     */
    Page<StaMeetingFee> queryByPage(StaMeetingFee staMeetingFee, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staMeetingFee 实例对象
     * @return 实例对象
     */
    int insert(StaMeetingFee staMeetingFee);

    /**
     * 修改数据
     *
     * @param staMeetingFee 实例对象
     * @return 实例对象
     */
    int update(StaMeetingFee staMeetingFee);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除会议费
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入会议费
     *
     * @param expenseList
     * @return
     */
    int insertBatch(List<StaMeetingFee> expenseList);

    /**
     * 获取会议费列表
     *
     * @return
     */
    List<StaMeetingFee> getHyfList(Integer zb);

    List<StaMeetingFee> queryByKyfh(String kyfh);

    /**
     * 项目报表（会议费）查询
     *
     * @param xmmc 项目名称
     * @param hydd 会议地点
     * @param QSRQ 创建起始日期
     * @param JZRQ 创建结束日期
     * @return
     */
    List<HashMap<String, Object>> searchMeetingCost(Map map);

}
